Create a new team
curl --request POST \
--url https://incoming.qomon.app/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"team": {
"name": "Team Number1",
"users": [
{
"id": 7
}
],
"address": {
"addition": "<string>",
"building": "<string>",
"city": "Paris",
"country": "France",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"house_number": "12",
"infos": "<string>",
"postalcode": "75001",
"state": "<string>",
"street": "Rue de Rivoli"
},
"description": "<string>",
"hide_users": true,
"leaders": [
{
"id": 7
}
],
"private": true
}
}
}
'import requests
url = "https://incoming.qomon.app/teams"
payload = { "data": { "team": {
"name": "Team Number1",
"users": [{ "id": 7 }],
"address": {
"addition": "<string>",
"building": "<string>",
"city": "Paris",
"country": "France",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"house_number": "12",
"infos": "<string>",
"postalcode": "75001",
"state": "<string>",
"street": "Rue de Rivoli"
},
"description": "<string>",
"hide_users": True,
"leaders": [{ "id": 7 }],
"private": True
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
team: {
name: 'Team Number1',
users: [{id: 7}],
address: {
addition: '<string>',
building: '<string>',
city: 'Paris',
country: 'France',
county: '<string>',
door: '<string>',
floor: '<string>',
house_number: '12',
infos: '<string>',
postalcode: '75001',
state: '<string>',
street: 'Rue de Rivoli'
},
description: '<string>',
hide_users: true,
leaders: [{id: 7}],
private: true
}
}
})
};
fetch('https://incoming.qomon.app/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"team": {
"id": 101,
"name": "Team Number1",
"address": {
"addition": "<string>",
"building": "<string>",
"building_type": "house",
"city": "Paris",
"country": "France",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"housenumber": "12",
"id": 7,
"infos": "<string>",
"latitude": "48.8606",
"location": "48.8606,2.3376",
"longitude": "2.3376",
"pollingstation": "<string>",
"postalcode": "75001",
"score": 123,
"state": "<string>",
"street": "Rue de Rivoli"
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"hide_users": true,
"leaders": [
{
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "1 rue de la paix",
"avatar": "https://example.com/avatar.png",
"birthdate": "2023-11-07T05:31:56Z",
"city": "Paris",
"contacts": [
{
"id": 42
}
],
"created": "2023-11-07T05:31:56Z",
"firstname": "John",
"group_id": [
123
],
"id": 101,
"locale": "en",
"location": "1.826483,-1.549486",
"mail": "john.doe@example.com",
"phone": "0123456789",
"postal": "75000",
"role_data": {
"color": "#DF0D73",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"type": "superadmin",
"web": true
},
"status": "available_week_morning,available_weekend",
"surname": "Doe",
"two_factor_enable": true,
"two_factor_method": "email"
}
],
"private": true,
"updated_at": "2023-11-07T05:31:56Z",
"users": [
{
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "1 rue de la paix",
"avatar": "https://example.com/avatar.png",
"birthdate": "2023-11-07T05:31:56Z",
"city": "Paris",
"contacts": [
{
"id": 42
}
],
"created": "2023-11-07T05:31:56Z",
"firstname": "John",
"group_id": [
123
],
"id": 101,
"locale": "en",
"location": "1.826483,-1.549486",
"mail": "john.doe@example.com",
"phone": "0123456789",
"postal": "75000",
"role_data": {
"color": "#DF0D73",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"type": "superadmin",
"web": true
},
"status": "available_week_morning,available_weekend",
"surname": "Doe",
"two_factor_enable": true,
"two_factor_method": "email"
}
]
}
},
"status": "success"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Teams
Create a new team
Creates a new team.
POST
/
teams
Create a new team
Authorizations
OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.
Body
application/json
Show child attributes
Show child attributes
Last modified on September 3, 2026
Was this page helpful?
⌘I

